Bug 18430 - Plugins page should have a link to viewing other types
Summary: Plugins page should have a link to viewing other types
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-13 16:34 UTC by Nick Clemens
Modified: 2017-06-13 07:26 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18430 - Plugins page should have a link to viewing other types (2.08 KB, patch)
2017-04-13 16:35 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18430 - Plugins page should have a link to viewing other types (2.15 KB, patch)
2017-04-13 19:54 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 18430 - Plugins page should have a link to viewing other types (2.23 KB, patch)
2017-06-02 08:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-04-13 16:34:01 UTC
Currentl you can access plugins via 

Reports->Report plugins
Tools->Tool plugins
Admin->Manage plugins

But from report or tools it is not possible to get from one type to another (other than manipulating URL)
Comment 1 Nick Clemens 2017-04-13 16:35:56 UTC
Created attachment 62150 [details] [review]
Bug 18430 - Plugins page should have a link to viewing other types

To test:
Go to the plugins page from
Reports->Report plugins
Tools->Tool plugins
Admin->Manage plugins

Ensure that you have a 'View plugins by class button'

Ensure the button does what you would expect
Comment 2 Christopher Brannon 2017-04-13 19:54:39 UTC
Created attachment 62151 [details] [review]
[SIGNED OFF] Bug 18430 - Plugins page should have a link to viewing other types

To test:
Go to the plugins page from
Reports->Report plugins
Tools->Tool plugins
Admin->Manage plugins

Ensure that you have a 'View plugins by class button'

Ensure the button does what you would expect

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 3 Christopher Brannon 2017-04-13 19:55:08 UTC
Works as described.
Comment 4 Marcel de Rooy 2017-05-12 06:56:52 UTC
Marking as an enhancement.
Comment 5 Marcel de Rooy 2017-06-02 08:50:22 UTC
Created attachment 63923 [details] [review]
Bug 18430 - Plugins page should have a link to viewing other types

To test:
Go to the plugins page from
Reports->Report plugins
Tools->Tool plugins
Admin->Manage plugins

Ensure that you have a 'View plugins by class button'

Ensure the button does what you would expect

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2017-06-05 15:00:56 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-06-13 07:26:27 UTC
Enhancement not pushed to 17.05.x